org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class EnrollmentPermission

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.EnrollmentPermission

-     public class EnrollmentPermission
      extends Object

  Java class for EnrollmentPermission complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EnrollmentPermission">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="enroll" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="autoEnroll" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `autoEnroll`
    `protected boolean` | `enroll`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnrollmentPermission()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAutoEnroll()` Gets the value of the autoEnroll property.
    `boolean` | `isEnroll()` Gets the value of the enroll property.
    `void` | `setAutoEnroll(boolean value)` Sets the value of the autoEnroll property.
    `void` | `setEnroll(boolean value)` Sets the value of the enroll property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### enroll

          protected boolean enroll

    - #### autoEnroll

          protected boolean autoEnroll

  - ### Constructor Detail

    - #### EnrollmentPermission

          public EnrollmentPermission()

  - ### Method Detail

    - #### isEnroll

          public boolean isEnroll()

      Gets the value of the enroll property.

    - #### setEnroll

          public void setEnroll(boolean value)

      Sets the value of the enroll property.

    - #### isAutoEnroll

          public boolean isAutoEnroll()

      Gets the value of the autoEnroll property.

    - #### setAutoEnroll

          public void setAutoEnroll(boolean value)

      Sets the value of the autoEnroll property.

Copyright © 2017 WSO2. All rights reserved.